# Interface BooleanValue

All Superinterfaces:
  `Mirror, PrimitiveValue, Value`

public interface BooleanValue extends PrimitiveValue
Provides access to a primitive `boolean` value in the target VM.

Since:
  1.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Compares the specified Object with this BooleanValue for equality.
  `int`
  `hashCode()`
  Returns the hash code value for this BooleanValue.
  `boolean`
  `value()`
  Returns this BooleanValue as a boolean.

  ### Methods declared in interface Mirror

  `toString, virtualMachine`
  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Returns a String describing this mirror
  `VirtualMachine`
  `virtualMachine()`
  Gets the VirtualMachine to which this Mirror belongs.

  ### Methods declared in interface PrimitiveValue

  `booleanValue, byteValue, charValue, doubleValue, floatValue, intValue, longValue, shortValue`
  Modifier and Type
  Method
  Description
  `boolean`
  `booleanValue()`
  Converts this value to a BooleanValue and returns the result as a boolean.
  `byte`
  `byteValue()`
  Converts this value to a ByteValue and returns the result as a byte.
  `char`
  `charValue()`
  Converts this value to a CharValue and returns the result as a char.
  `double`
  `doubleValue()`
  Converts this value to a DoubleValue and returns the result as a double.
  `float`
  `floatValue()`
  Converts this value to a FloatValue and returns the result as a float.
  `int`
  `intValue()`
  Converts this value to an IntegerValue and returns the result as an int.
  `long`
  `longValue()`
  Converts this value to a LongValue and returns the result as a long.
  `short`
  `shortValue()`
  Converts this value to a ShortValue and returns the result as a short.

  ### Methods declared in interface Value

  `type`
  Modifier and Type
  Method
  Description
  `Type`
  `type()`
  Returns the run-time type of this value.

- ## Method Details

  - ### value

    boolean value()
    Returns this BooleanValue as a boolean.
    Returns:
      the `boolean` mirrored by this object.

  - ### equals

    boolean equals(Object obj)
    Compares the specified Object with this BooleanValue for equality.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - the reference object with which to compare.
    Returns:
      true if the Object is a BooleanValue and if applying "==" to the two mirrored primitives would evaluate to true; false otherwise.
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### hashCode

    int hashCode()
    Returns the hash code value for this BooleanValue.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      the integer hash code
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(Object)`